GET
/api/v1/fortigate/list
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/fortigate/list?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/fortigate/list", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/fortigate/list");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
vm_id
integer
created_at
string format: date-time
public_ip_address
string
private_ip_address
string
backup
boolean
disk
string
status
string
vcpus
string
memory
string
plan
string
region
string
is_locked
boolean
zabbix_host_id
integer
zabbix_host_id_v2
integer
gpu
string
price
string
additional_ip
Array<string>
label
string
ssh_keys
Array<string>
is_active
boolean
scaler_id
integer
os_info
object
name
string
version
string
category
string
full_name
string
is_monitored
boolean
backup_status
object
status
string
detail
string
node_id
integer
is_encryption_enabled
boolean
location
string
monitor_status
object
status
string
reason
string
enable_bitninja_details
object
show_bitninja
boolean
bitninja_cost
number
is_bitninja_license_active
boolean
any_license_attached
object
is_license_attached
boolean
license_deletion_message
string
mssql_license_attached
boolean
is_committed
boolean
audit_log_message
string
monitoring_tab_enabled
boolean
cdp_tab_enabled
boolean
alert_tab_enabled
boolean
bitninja_discount_percentage
number
is_image_deleted
boolean
vpc_enabled
boolean
is_snapshot_allowed
boolean
is_fortigate_vm
boolean
rescue_mode_status
string
is_upgradable
boolean
abuse_flag
boolean
currency
string
vm_type
string
is_accidental_protection
boolean
project_name
string
errors
object
message
string
Example
{ "code": 200, "data": [ { "id": 201196, "name": "Fortinet-7-01-Fortinet-835", "vm_id": 215859, "created_at": "2024-11-04T07:19:53.078897Z", "public_ip_address": "164.52.195.15", "private_ip_address": "10.15.86.11", "backup": false, "disk": "20 GB", "status": "Creating", "vcpus": "1", "memory": "9 GB", "plan": "FTN.100V", "region": null, "is_locked": false, "zabbix_host_id": null, "zabbix_host_id_v2": null, "gpu": "", "price": "Rs. 13.0/Hour or Rs. 9490.0 Monthly", "additional_ip": [], "label": "Default", "ssh_keys": [], "is_active": true, "scaler_id": null, "os_info": { "name": "Fortinet", "version": "7.01", "category": "", "full_name": "Fortinet 7.01 x86_64" }, "is_monitored": false, "backup_status": { "status": "backup_unsupported", "detail": "Backup Unsupported", "node_id": 201196, "is_encryption_enabled": false }, "location": "Delhi", "monitor_status": { "status": "not_activated", "reason": "" }, "enable_bitninja_details": { "show_bitninja": false, "bitninja_cost": 0 }, "is_bitninja_license_active": false, "any_license_attached": { "is_license_attached": false, "license_deletion_message": "", "mssql_license_attached": false }, "is_committed": true, "audit_log_message": null, "monitoring_tab_enabled": true, "cdp_tab_enabled": true, "alert_tab_enabled": true, "bitninja_discount_percentage": 0, "is_image_deleted": false, "vpc_enabled": true, "is_snapshot_allowed": false, "is_fortigate_vm": true, "rescue_mode_status": "Disabled", "is_upgradable": false, "abuse_flag": false, "currency": "INR", "vm_type": "committed_vm", "is_accidental_protection": false, "project_name": "default-project-17976" } ], "errors": {}, "message": "Success"}